stxdb(1)

Name

stxdb — A/V file database

Syntax

stxdb [-MSWal] [-A dir] [-V volid] [-f file] [-o opt]

Options

The options may seem weird, because they are flags, not commands. This means that the order of execution is always "Load database", "Add directory", "Save database", "Show database". You just specify _which_ of these you want to run, and if it's all four.

-A dir
    Directory which should be added to the database.

-M  Mount the directory given by -A before adding.

-S  Save the database. (Not specifying this would make for a dry run.)

-V volid
    Tag the directory with volid in the database.

-W  Show database.

-a  Show only artists.

-f file
    Use specified file as database.

-l  Show only albums.

-o opt
    Set arbitrary option.

Examples

Examples for common operations:

Adding a CD to the database, using -M to make stxdb mount it:

	stxdb -A /mnt -MSV "Private Collection CD #34"

Adding a directory (w/o mount!):

	stxdb -A /bla/dir -SV "Private Collection CD #35"

Show database:

	stxdb -W

Rebuild database:

	stxdb -S

See also

hxtools(7)